AGTCloud API Docs
GuidesAPI ReferenceIntegrations and resourcesUpdate and help
Video generationSeedance

Retrieve an asset

Retrieve an asset's processing status, temporary access URL, and error information.

After uploading, retrieve the asset status about every 3 seconds. Processing means the asset is still being processed, Active means it can be used for generation, and Failed means processing failed and you should read Result.Error.

Result.URL is a signed URL valid for approximately 11.5 hours. Do not store it as a permanent URL or distribute it publicly. Assets are bound to the account associated with the current API Key. Accessing an asset that does not exist or is not accessible may return ResourceNotFound.

POST/v1/assets/doubao/

Retrieve the asset status. Continue polling for Processing, use the asset when it is Active, and read Result.Error when it is Failed.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

Action*"GetAsset"

Always GetAsset.

Default"GetAsset"

Value in

  • "GetAsset"
Version*"2024-01-01"

API version, always 2024-01-01.

Default"2024-01-01"

Value in

  • "2024-01-01"

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json